aboutsummaryrefslogtreecommitdiffstats
path: root/testing/libgtop/APKBUILD
diff options
context:
space:
mode:
authorWilliam Pitcock <nenolod@dereferenced.org>2011-01-23 11:38:47 -0600
committerWilliam Pitcock <nenolod@dereferenced.org>2011-01-23 11:38:47 -0600
commit6eeb095f329977d6ab6a63d032a67badda0c11c2 (patch)
treef85058095264df4b154fd6f5da0eed7902139839 /testing/libgtop/APKBUILD
parentfc4a35da7c1476187a9e748e67cf6ae7245ba634 (diff)
downloadaports-6eeb095f329977d6ab6a63d032a67badda0c11c2.tar.gz
aports-6eeb095f329977d6ab6a63d032a67badda0c11c2.tar.bz2
aports-6eeb095f329977d6ab6a63d032a67badda0c11c2.tar.xz
testing/libgtop: new aport
Diffstat (limited to 'testing/libgtop/APKBUILD')
-rw-r--r--testing/libgtop/APKBUILD41
1 files changed, 41 insertions, 0 deletions
diff --git a/testing/libgtop/APKBUILD b/testing/libgtop/APKBUILD
new file mode 100644
index 0000000000..9bc465e209
--- /dev/null
+++ b/testing/libgtop/APKBUILD
@@ -0,0 +1,41 @@
+# Contributor: William Pitcock <nenolod@dereferenced.org>
+# Maintainer:
+pkgname=libgtop
+pkgver=2.28.2
+pkgrel=0
+pkgdesc="GNOME top library"
+url="http://www.gnome.org/"
+arch="all"
+license="LGPL"
+depends=
+depends_dev="glib-dev libxau-dev libx11-dev"
+makedepends="$depends_dev"
+install=""
+subpackages="$pkgname-dev $pkgname-doc"
+source="ftp://ftp.gnome.org/pub/GNOME/sources/${pkgname}/${pkgver%.*}/${pkgname}-${pkgver}.tar.bz2"
+
+_builddir="${srcdir}/${pkgname}-${pkgver}"
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ ./configure --prefix=/usr \
+ --sysconfdir=/etc \
+ --disable-scrollkeeper || return 1
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+}
+
+md5sums="ed44d736efd97d062b77621de6aff439 libgtop-2.28.2.tar.bz2"